<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>

<#assign mounted_block>
        if(this.viewparams.selectedData){
            this.engine.onCtrlEvent('pickupviewpanel', 'selectionchange', this.viewparams.selectedData);
        }
</#assign>

<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>
    /**
     * 视图选中数据
     *
     * @type {any[]}
     * @memberof ${srfclassname('${view.name}')}
     */
    public viewSelections: any[] = [];

    /**
     * 是否显示按钮
     *
     * @type {boolean}
     * @memberof ${srfclassname('${view.name}')}
     */
    @Prop({default: true}) public isShowButtons!: boolean;

    /**
     * 是否单选
     *
     * @type {boolean}
     * @memberof ${srfclassname('${view.name}')}
     */
    public isSingleSelect: boolean = false;

    /**
     * 确定
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public onClickOk(): void {
        this.viewDatasChange(this.viewSelections);
        this.$emit('close', this.viewSelections);
    }

    /**
     * 取消
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public onClickCancel(): void {
        this.$emit('close', null);
    }

    /**
     * 快速搜索值
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public quickValue = "";

    /**
     * 快速搜索
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public async quickValueChange(event: any) {
        const pickupviewpanel: any = this.$refs.pickupviewpanel;
        if (pickupviewpanel) {
            this.quickValue = event.detail.value;
            pickupviewpanel.quickSearch(this.quickValue);
        }
    }

    <#-- 树多选视图单独逻辑 -->
    <#if view.getAllEmbeddedPSAppViews?? && view.getAllEmbeddedPSAppViews()??>
    <#assign isTreeView = false>
    <#list view.getAllEmbeddedPSAppViews() as tempView>
    <#if tempView.getViewType()=='DEMOBPICKUPTREEVIEW'>
    <#assign isTreeView = true>
    </#if>
    </#list>
    <#if isTreeView>
    /**
     * 已选择点击事件
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public select_click() {
        if(this.viewSelections.length == 0 ){
            return
        }
        this.viewState.next({ tag: 'pickupviewpanel', action: 'refresh', data: this.viewSelections});
        this.show = true
    }

    /**
     * 显示状态
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public show = false;

    /**
     * 收起已选择
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public onOverlayClick() {
        this.viewState.next({ tag: 'pickupviewpanel', action: 'refresh', data: this.viewSelections});
    }

    /**
     * 删除
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public item_delete(data:any) {
        this.viewSelections.splice(this.viewSelections.findIndex((i: any) => i.srfkey === data.srfkey), 1)
        this.pickupviewpanel_selectionchange(this.viewSelections);
        Object.assign(this.viewparams,{selectedData:this.viewSelections})
    }


    get container(){
        let ele = document.getElementsByClassName('${srffilepath2(view.getCodeName())}');
        return ele && ele.length>0 ?ele[0]:null;
    }

    </#if>
    </#if>
<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>