<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>

<#--  附加生命周期内容  -->
<#assign created_block>
        if (this.panelViewState) {
            this.panelStateEvent = this.panelViewState.subscribe((res: any) => {
                if (Object.is(res.tag, 'pickupviewpanel')) {
                    if (Object.is(res.action, 'refresh')) {
                        this.viewState.next({ tag: 'tree', action: 'refresh', data: res.data });
                    }
                }
            });
        }
</#assign>
<#assign destroyed_block>
    if (this.panelStateEvent) {
        this.panelStateEvent.unsubscribe();
    }
</#assign>

<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>

   /**
     * 是否单选
     *
     * @type {boolean}
     * @memberof ${srfclassname('${view.name}')}
     */
    @Prop({ default: true }) protected isSingleSelect!: boolean;

    /**
     * 搜索值
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public query = "";
    
    /**
     * 快速搜索
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public quickSearch(value:any){
        this.query = value;
        this.viewState.next({tag:'mdctrl',action:'quicksearch',data: value});
    }

    /**
     * 面板通知对象
     *
     * @type {Subject<ViewState>}
     * @memberof ${srfclassname('${view.name}')}Base
     */
    @Prop() protected panelViewState?: Subject<ViewState>;

    /**
     * 面板订阅对象
     *
     * @type {Subject<ViewState>}
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public panelStateEvent :Subscription | undefined;


<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>